import type AppRegistry from 'hadron-app-registry';
type ExplainView = 'json' | 'tree';
type ExplainToolbarProps = {
    localAppRegistry: AppRegistry;
    explainErrorMessage?: string;
    resultId: string;
    hasExplainResults: boolean;
    onExecuteExplainClicked: (queryBarStoreState: any) => void;
    showOutdatedWarning: boolean;
    showReadonlyWarning: boolean;
    switchToTreeView: () => void;
    switchToJSONView: () => void;
    viewType: ExplainView;
};
declare function ExplainToolbar({ localAppRegistry, resultId, explainErrorMessage, hasExplainResults, onExecuteExplainClicked, showOutdatedWarning, showReadonlyWarning, switchToTreeView, switchToJSONView, viewType, }: ExplainToolbarProps): JSX.Element;
export { ExplainToolbar };
//# sourceMappingURL=explain-toolbar.d.ts.map